<?php
	include("core.php");
	include($docroot."/config.inc.php");
	include($docroot."/lib/user_check.php");
	$module_name = "Info";
	$pageTitle = "Info";
	$modulo_custom=get_var("Cartella Custom");
	if( file_exists($docroot."/include/".$modulo_custom."/top.php") ){
		include($docroot."/include/".$modulo_custom."/top.php");
	}

	else{
		include($docroot."/include/top.php");
	}



	?>
	<div class="box box-solid">
		<div class="box-body">
			<?php
			if( file_exists("assistenza.html") )
				include("assistenza.html");
			else{
			?>
				<img src="<?php echo $img ?>/logo.png"><br>




				<h3>GEST366</h3>
				<b>Sito web: </b><a href="https://www.gest366.it" rel="external">https://www.gest366.it</a><br>
				<b>Versione:</b> <?php echo getVersion(); ?><br>
				<b>Licenza: <a href="https://www.gnu.org/licenses/gpl-3.0.txt" rel="external" title="Vai al sito per leggere la licenza">GPLv3</a></b>
				<div class="clearfix"></div>
				<br>

				<p>
					<b>Sostieni il progetto con una donazione</b><br>
					<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
						<input type="hidden" name="cmd" value="_s-xclick" />
						<input type="hidden" name="hosted_button_id" value="4PP78ZF3XRBSJ" />
						<input type="image" id="paypal-button-icon" src="https://www.paypalobjects.com/it_IT/IT/i/btn/btn_donateCC_LG.gif" border="0" name="submit" title="PayPal - The safer, easier way to pay online!" alt="Fai una donazione con il pulsante PayPal" />
						<img alt="" border="0" src="https://www.paypal.com/it_IT/i/scr/pixel.gif" width="1" height="1" />
					</form>
				</p>

				<h3><i class="fa fa-question-circle"></i> COS'È</h3>
				<p>
					<b>GEST366</b> è un gestionale completo, distribuito come <b>Software Libero</b>, derivato da <a href="https://www.gestionale360.it" rel="external">Gestionale 360</a><br> di Massimo Pizzato.<br>
				</p>
				<hr>


				<div class="row-fluid">
					<div class="col-md-6">
						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-globe"></i> PERCHÉ SOFTWARE LIBERO</h3>
							</div>

							<div class="box-body">
								È software libero perché garantisce a tutti la libertà di studiare come funziona, modificarlo, adattarlo alle proprie esigenze e 
								condividerlo con chiunque. 
								Per questa sua natura, rende l'utilizzatore indipendente da qualunque fornitore di assistenza, permettendogli di scegliere liberamente a chi rivolgersi, evitando il lock-in.<br>
								<br>

								<h4>SOFTWARE LIBERO UTILIZZATO</h4>
								<p>
									GEST366 utilizza altro software libero tra cui principalmente:<br>
									<a href="https://www.php.net" rel="external"><i class="fa fa-circle-o-notch"></i> PHP</a><br>
									<a href="https://www.mysql.com" rel="external"><i class="fa fa-circle-o-notch"></i> MySQL</a><br>
									<a href="https://jquery.com" rel="external"><i class="fa fa-circle-o-notch"></i> JQuery</a><br>
									<a href="https://getbootstrap.com" rel="external"><i class="fa fa-circle-o-notch"></i> Bootstrap</a><br>
									<a href="https://fortawesome.github.io/Font-Awesome" rel="external"><i class="fa fa-circle-o-notch"></i> FontAwesome</a><br>
									<a href="https://html2pdf.fr/it/default" rel="external"><i class="fa fa-circle-o-notch"></i> HTML2PDF</a><br>
									<a href="https://www.gestionale360.it" rel="external"><i class="fa fa-circle-o-notch"></i> Gestionale 360</a>
								</p>
							</div>
						</div>
					</div>


					<div class="col-md-6">
						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-globe"></i> Documentazione</h3>
							</div>

							<div class="box-body">
								Sul sito di GEST366 sono disponibili delle guide per conoscere le varie funzioni del gestionale.<br>


								<h4>Installazione</h4>
								<p>
									<a href="https://www.gest366.it/guida-installazione.html" rel="external"><i class="fa fa-circle-o-notch"></i> Guida all'installazione</a><br>
								</p>
								<h4>Impostazioni</h4>
								<p>
									<a href="https://www.gest366.it/impostazioni-di-base.html" rel="external"><i class="fa fa-circle-o-notch"></i> Impostazioni di base</a><br>
								</p>
                                <h4>Documenti</h4>
								<p>
									<a href="https://www.gest366.it/documenti.html" rel="external"><i class="fa fa-circle-o-notch"></i> Creazione e gestione documenti</a><br>
								</p>
                                <h4>Moduli</h4>
								<p>
									<a href="https://www.gest366.it/moduli.html" rel="external"><i class="fa fa-circle-o-notch"></i> Creazione e gestione moduli</a><br>
								</p>
                                <h4>Magazzino</h4>
								<p>
									<a href="https://www.gest366.it/magazzino.html" rel="external"><i class="fa fa-circle-o-notch"></i> Magazzino e multimagazzino</a><br>
								</p>
                                <h4>Ordini</h4>
								<p>
									<a href="https://www.gest366.it/ordini.html" rel="external"><i class="fa fa-circle-o-notch"></i> Gestione ordini</a><br>
								</p>

							</div>
						</div>
					</div>




					<div class="col-md-6">


					<!--
						<div class="box box-default">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-download"></i> AGGIORNAMENTI E NUOVE VERSIONI</h3>
							</div>

							<div class="box-body">
								Tutti gli aggiornamenti e le nuove versioni sono disponibili all&rsquo;indirizzo:<br>
								<a href="http://www.gest366.it/downloads/" rel="external"><i class="fa fa-external-link"></i> www.gest366.it/downloads/</a>
							</div>
						</div>
					-->
					</div>
				</div>
				<div class="clearfix"></div>


			<?php
			}
			?>
		</div>
	</div>


<?php
	if( file_exists($docroot."/include/".$modulo_custom."/bottom.php") ){
		include($docroot."/include/".$modulo_custom."/bottom.php");
	}

	else{
		include($docroot."/include/bottom.php");
	}
?>
