<?php
	include("core.php");
	include($docroot."/config.inc.php");
	include($docroot."/lib/user_check.php");
	$module_name = "Info";
	$modulo_custom=get_var("Cartella Custom");
	if( file_exists($docroot."/include/".$modulo_custom."/top.php") ){
		include($docroot."/include/".$modulo_custom."/top.php");
	}

	else{
		include($docroot."/include/top.php");
	}
	?>
	<div class="box box-solid">
		<div class="box-body">
			<?php
			if( file_exists("assistenza.html") )
				include("assistenza.html");
			else{
			?>
				<img src="<?php echo $img ?>/logo.png"><br>

				<h3>GEST366</h3>
				<b>Sito web: </b><a href="http://www.gest366.it" target="_blank">http://www.gest366.it</a><br>
				<b>Versione:</b> <?php echo getVersion()." <small class='text-muted'>(r".trim( @file_get_contents($docroot."/REVISION") ).")"; ?></small><br>
				<b>Licenza: <a href="http://www.gnu.org/licenses/gpl-3.0.txt" target="_blank" title="Vai al sito per leggere la licenza">GPLv3</a></b>
				<div class="clearfix"></div>
				<br>

				<h3><i class="fa fa-question-circle"></i> Moduli aggiuntivi</h3>
				<p>
					<b>Gestionale open source 360 - moduli aggiuntivi <a href="mailto:info@gest366.it"></a><br>
				</p>
				<hr>

				<div class="row">
					<!-- Modulo gestione helpdesk -->
					<div class="col-md-6">
						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-globe"></i> Gestione HelpDesk & Leads</h3>
							</div>

							<div class="box-body">
								</b>Permette la Gestione dei contatti telefonici ricevuti dai vostri clienti con registrazione e suddivisione per gruppo HelpDesk , stato e gravità della chiamata ricevuta. Inoltre permette la gestione dei Leads
								per comunicazioni verso i vostri agenti / commerciali.<br>

								<h4>Scopri tutte le sue funzionalità</h4>
								<p>
									<br>
									<a href="http://www.gestionale360.it/gestione-help-desk-leads/" target="_blank"><i class="fa fa-circle-o-notch"></i> Gestione HelpDesk </a><br>

								</p>
							</div>
						</div>
					</div>
					<!-- Modulo gestione Laboratorio -->
					<div class="col-md-6">
						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-globe"></i> Gestione Laboratorio e RMA</h3>
							</div>

							<div class="box-body">
								</b>Permette la Gestione delle schede di riparazione  suddividendole per stato, ubicazione e ulteriori gruppi liberi. Inoltre permette la gestione delle richieste di rientro per riparazione RMA
								.<br>

								<h4>Scopri tutte le sue funzionalità</h4>
								<p>
									<br>
									<a href="http://www.gestionale360.it/gestione-laboratorio-rma-ver2/" target="_blank"><i class="fa fa-circle-o-notch"></i> Gestione Laboratorio e Rma </a><br>

								</p>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<!-- Modulo Articoli Kit -->
					<div class="col-md-6">
						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-globe"></i> Gestione Articoli Kit</h3>
							</div>

							<div class="box-body">
								</b>Permette la creazione di articoli kit e la gestione degli stessi all'interno dei documenti
								.<br>

								<h4>Scopri tutte le sue funzionalità</h4>
								<p>
									<br>
									<a href="http://www.gestionale360.it/gestionale_pro_articoli-kit-v2-2/" target="_blank"><i class="fa fa-circle-o-notch"></i> Gestione Articoli Kit </a><br>

								</p>
							</div>
						</div>
					</div>


					<!-- Modulo Task -->
					<div class="col-md-6">
						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-globe"></i> Gestione TASK</h3>
							</div>

							<div class="box-body">
								</b>Gestione Task  attività con notifiche trea i vari utenti
								.<br>

								<h4>Scopri tutte le sue funzionalità</h4>
								<p>
									<br>
									<a href="http://www.gestionale360.it/modulo-task/" target="_blank"><i class="fa fa-circle-o-notch"></i> Gestione Task</a><br>

								</p>
							</div>
						</div>
					</div>
				</div>

				<div class="row">

					<div class="col-md-6">
						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-globe"></i> Wizard Documenti</h3>
							</div>

							<div class="box-body">
								</b>Permette la creazione parametrica di documenti
								.<br>

								<h4>Scopri tutte le sue funzionalità</h4>
								<p>
									<br>
									<a href="http://www.gestionale360.it/modulo-wizard-documenti/" target="_blank"><i class="fa fa-circle-o-notch"></i> Wizard Documenti </a><br>

								</p>
							</div>
						</div>
					</div>



					<div class="col-md-6">
						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-globe"></i> Gestione Inventario</h3>
							</div>

							<div class="box-body">
								</b>Gestione di illimitati inventari di magazzino con funzioni di riallineamento
								.<br>

								<h4>Scopri tutte le sue funzionalità</h4>
								<p>
									<br>
									<a href="http://www.gestionale360.it/modulo-inventario/" target="_blank"><i class="fa fa-circle-o-notch"></i> Gestione Inventario</a><br>

								</p>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<!-- Modulo Articoli Kit -->
					<div class="col-md-6">
						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-globe"></i> Gestione Noleggio</h3>
							</div>

							<div class="box-body">
								</b>Permette la gestione dei vostri Noleggi
								.<br>

								<h4>Scopri tutte le sue funzionalità</h4>
								<p>
									<br>
									<a href="http://www.gestionale360.it/project/modulo-noleggio/" target="_blank"><i class="fa fa-circle-o-notch"></i> Gestione Noleggio </a><br>

								</p>
							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="box box-primary">
							<div class="box-header">
								<h3 class="box-title"><i class="fa fa-globe"></i> Appuntamenti / Attività </h3>
							</div>

							<div class="box-body">
								</b>Permette la gestione dei vostri appuntamenti / attività visibile anche su un pratico calendario
								.<br>

								<h4>Scopri tutte le sue funzionalità</h4>
								<p>
									<br>
									<a href="http://www.gestionale360.it/project/modulo-agenda/" target="_blank"><i class="fa fa-circle-o-notch"></i>  Appuntamenti / Attività </a><br>

								</p>
							</div>
						</div>
					</div>




				</div>





					<div class="col-md-6">


					</div>
				</div>
				<div class="clearfix"></div>


			<?php
			}
			?>
		</div>
	</div>


<?php
	if( file_exists($docroot."/include/".$modulo_custom."/bottom.php") ){
		include($docroot."/include/".$modulo_custom."/bottom.php");
	}

	else{
		include($docroot."/include/bottom.php");
	}
?>
