<?php
include_once(__DIR__."/../../core.php");
?><script src="<?php echo $js ?>/bootstrap-colorpicker.min.js"></script>
<link rel="stylesheet" href="<?php echo $css ?>/bootstrap-colorpicker.min.css">

<form action="" method="post" role="form">
	<input type="hidden" name="backto" value="record-edit">
	<input type="hidden" name="op" value="update">

	<div class="panel panel-<?php echo $_SESSION['profilo_pannello'] ?>">
		<div class="clearfix"></div>
		</br>	
		<div class="col-md-4">				
			<div class="pull-left">		
				<button type="submit" class="btn-app btn-success"><i class="fa fa-check"></i> Salva </button>							
			</div>
		</div>
		<div class="col-md-4">				
			<div class="pull-right">								
				<div class="pull-left showcase sweet"> 		
				<button type="button" class="btn-app btn-danger" aria-label="Show SweetAlert2 success message" ><i class="fa fa-trash-o"></i> Elimina</span></button>		
				</div>				
			</div>	
		</div>
		
		<div class="col-md-4">
					
		</div>			
		<div class="clearfix"></div>
		
	</div>
	
	<div class="clearfix"></div>

	<!-- DATI -->
	<div class="panel panel-<?php echo $_SESSION['profilo_pannello'] ?>">
		<div class="panel-heading">
			<h3 class="panel-title"><?php echo _("Dati") ?></h3>
		</div>
	
		<div class="panel-body">
			<div class="row">
				<div class="col-xs-12 col-md-8">
					{[ "type": "text", "label": "<?php echo _("Nome") ?>", "name": "nome", "required": 1, "value": "$nome$", "extra": "" ]}
				</div>

				<div class="col-xs-12 col-md-4">
					{[ "type": "text", "label": "<?php echo _("Colore"); ?>", "name": "colore", "required": 0, "class": "colorpicker text-center", "value": "$colore$", "extra": "maxlength='7'", "icon-after": "<div class='img-circle square'></div>" ]}
				</div>
			</div>
		<div class="row">	
			<div class="col-md-3">
				{[ "type": "select", "label": "Conto predefinito Entrata", "help": "<small>Imposta il conto predefinito</small>",  "name": "id_conto_e", "required": 0, "class": "", "values": "query=SELECT co_pianodeiconti3.id, CONCAT_WS( ' ', co_pianodeiconti3.numero, co_pianodeiconti3.descrizione ) AS descrizione FROM co_pianodeiconti3 INNER JOIN (co_pianodeiconti2 INNER JOIN co_pianodeiconti1 ON co_pianodeiconti2.idpianodeiconti1=co_pianodeiconti1.id) ON co_pianodeiconti3.idpianodeiconti2=co_pianodeiconti2.id WHERE co_pianodeiconti1.descrizione='Economico'  AND co_pianodeiconti3.dir = 'entrata' ORDER BY co_pianodeiconti3.numero ASC", "value": "$id_conto_e$", "extra": "" ]}								
			</div>	
			<div class="col-md-3">
				{[ "type": "select", "label": "Conto predefinito Uscita", "help": "<small>Imposta il conto predefinito</small>",  "name": "id_conto_u", "required": 0, "class": "", "values": "query=SELECT co_pianodeiconti3.id, CONCAT_WS( ' ', co_pianodeiconti3.numero, co_pianodeiconti3.descrizione ) AS descrizione FROM co_pianodeiconti3 INNER JOIN (co_pianodeiconti2 INNER JOIN co_pianodeiconti1 ON co_pianodeiconti2.idpianodeiconti1=co_pianodeiconti1.id) ON co_pianodeiconti3.idpianodeiconti2=co_pianodeiconti2.id WHERE co_pianodeiconti1.descrizione='Economico'  AND co_pianodeiconti3.dir = 'uscita' ORDER BY co_pianodeiconti3.numero ASC", "value": "$id_conto_u$", "extra": "" ]}								
			</div>			
		</div>
			<div class="row">
				<div class="col-xs-12 col-md-12">
					{[ "type": "textarea", "label": "<?php echo _("Nota") ?>", "name": "nota", "value": "$nota$" ]}
				</div>
			</div>
		</div>
	</div>

</form>

<div class="panel panel-<?php echo $_SESSION['profilo_pannello'] ?>">
	<div class="panel-heading">
		<h3 class="panel-title"><?php echo _("Sottocategorie"); ?></h3>
	</div>

	<div class="panel-body">
		<div class="pull-left">
			<a class="btn btn-app btn-primary" data-href="<?php echo $rootdir?>/add.php?id_module=<?php echo $id_module;?>&id_original=<?php echo $id_record ?>" data-toggle="modal" data-title="<?php echo _("Aggiungi riga"); ?>" data-target="#bs-popup"><i class="fa fa-plus"></i> <?php echo _("Sottocategoria"); ?></a><br>
		</div>
		<div class="clearfix"></div>
		<hr>

		<div class="row">
			<div class="col-md-12">
				<table class="table table-striped table-hover table-condensed">
				<tr>
					<th><?php echo _("Nome"); ?></th>
					<th><?php echo _("Colore"); ?></th>
					<th><?php echo _("Nota"); ?></th>
					<th><?php echo _("Opzioni"); ?></th>
				</tr>
				
				<?php include($docroot."/modules/".$modules_info[$module_name]["module_dir"]."/row-list.php"); ?>
				</table>
			</div>
		</div>
	</div>
</div>	

<script>
	$(document).ready( function(){
		$('.colorpicker').colorpicker().on('changeColor', function(){
			$('#colore').parent().find('.square').css( 'background', $('#colore').val() );
		});

		$('#colore').parent().find('.square').css( 'background', $('#colore').val() );
	});
	$('.showcase.sweet button').on('click', () => {
		swal({
		  title: 'Sei sicuro?',
		  text: "Eliminare questo elemento!",
		  type: 'warning',
		  showCancelButton: true,
		  confirmButtonColor: '#3085d6',
		  cancelButtonColor: '#d33',
		  confirmButtonText: 'Conferma!'
		}).then((result) => {
		  if (result.value) {			
			{ $('#form-delete').submit(); }
		  }
		})
	})		
</script>

<form action="" method="post" role="form" id="form-delete">
	<input type="hidden" name="backto" value="record-list">
	<input type="hidden" name="op" value="delete">
</form>