<?php
include_once(__DIR__."/../../core.php");
 
?><script src="<?php echo $js ?>/bootstrap-colorpicker.min.js"></script>
<link rel="stylesheet" href="<?php echo $css ?>/bootstrap-colorpicker.min.css">

<form action="editor.php?id_module=$id_module$" method="post">
	<input type="hidden" name="op" value="add">
	<input type="hidden" name="backto" value="record-edit">

	<div class="row">
		<div class="col-md-2">
			{[ "type": "text", "label": "<?php echo _("Codice"); ?>", "name": "idstatointervento", "required": 1, "class": "", "value": "", "extra": "" ]}
		</div>
		
		<div class="col-md-6">
			{[ "type": "text", "label": "<?php echo _("Descrizione"); ?>", "name": "descrizione", "required": 1, "class": "", "value": "", "extra": "" ]}
		</div>
		
		<div class="col-md-2">
			{[ "type": "text", "label": "<?php echo _("Colore"); ?>", "name": "colore", "required": 1, "class": "colorpicker text-center", "value": "#ffffff", "extra": "maxlength='7'", "icon-after": "<div class='img-circle square'></div>" ]}
		</div>
	</div>
	
	<!-- PULSANTI -->	
	<div class="row">
		<div class="col-md-12 text-right">
			<button type="submit" class="btn btn-primary"><i class="fa fa-plus"></i> <?php echo _("Aggiungi"); ?></button>
		</div>
	</div>
</form>

<script>
	$(document).ready( function(){
		$('.colorpicker').colorpicker().on('changeColor', function(){
			$('#colore').parent().find('.square').css( 'background', $('#colore').val() );
		});
		
		$('#colore').parent().find('.square').css( 'background', $('#colore').val() );
	});
</script>
