ALTER TABLE `co_tipidocumento` ADD mod_prodotollo int(1) NOT NULL DEFAULT '0';
ALTER TABLE `co_tipidocumento` ADD id_magazzino_e int(11) NOT NULL DEFAULT '0';
ALTER TABLE `co_tipidocumento` ADD id_magazzino_u int(11) NOT NULL DEFAULT '0';
ALTER TABLE `co_tipidocumento` ADD id_tipo_e int(11) NOT NULL DEFAULT '0';
ALTER TABLE `co_tipidocumento` ADD id_tipo_u int(11) NOT NULL DEFAULT '0';
ALTER TABLE `in_interventi_tecnici` ADD id_magazzino_e int(11) NOT NULL DEFAULT '0';

ALTER TABLE `co_documenti` ADD id_protocollo int(11) NOT NULL DEFAULT '0';
ALTER TABLE `co_documenti` ADD data_prot datetime NOT NULL;
ALTER TABLE `co_documenti` ADD nassegno varchar(255) NOT NULL;
ALTER TABLE `co_documenti` ADD bassegno varchar(255) NOT NULL;
ALTER TABLE `co_documenti` ADD idbanca_vendite int(1) NOT NULL DEFAULT '0';
alter Table co_documenti add sconto_globale decimal(12,4) NOT NULL;
alter Table co_documenti add tipo_sconto_globale VARCHAR( 25 ) NOT NULL ;


ALTER TABLE `co_tipidocumento` ADD `mail_scadenza` text ;
update co_tipidocumento set mail_scadenza = 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento Numero %NUM %NUMS%SUFFISSO del %DATA	in scadenza di pagamento  ( %SCADENZADATA)  con importo documento pari a %IMPORTOPAGARE .Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it';



ALTER TABLE `an_anagrafiche` ADD idbanca_vendite int(1) NOT NULL DEFAULT '0';
ALTER TABLE `an_anagrafiche` ADD idbanca_acquisti int(1) NOT NULL DEFAULT '0';

ALTER TABLE `co_scadenziario` ADD `data_sollecito` datetime NOT NULL;

ALTER TABLE `mg_magazzini` ADD editable int(1) NOT NULL DEFAULT '0';

INSERT INTO `mg_magazzini` (`id`, `nome`, `descrizione`, `sigla`, `editable`) VALUES
(0, 'Principale', 'Principale', 'PRI',  1);


update mg_magazzini set id =0 where sigla = 'PRI';

ALTER TABLE `co_righe_documenti` ADD id_magazzino_e int(11) NOT NULL DEFAULT '0';
ALTER TABLE `co_righe_documenti` ADD id_magazzino_u int(11) NOT NULL DEFAULT '0';
ALTER TABLE `co_righe_documenti` ADD id_tipo_e int(11) NOT NULL DEFAULT '0';
ALTER TABLE `co_righe_documenti` ADD id_tipo_u int(11) NOT NULL DEFAULT '0';

CREATE TABLE `co_banche` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(255) NOT NULL,
  `filiale` varchar(255) NOT NULL,
  `iban` varchar(32) NOT NULL,
  `bic` varchar(11) NOT NULL,
  `id_pianodeiconti3` int(11) DEFAULT NULL,
  `note` text NOT NULL,
  `deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=0 ;



INSERT INTO `zz_modules` (`name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `default_menu`, `enabled`, `type`, `new`,moduli_add) VALUES
('Banche', '', 'banche', 'SELECT |fields| FROM `co_banche` HAVING 1=1 order by `id`', '', 'fa fa-university', '2.0.8', '2.0.8', 9, 0, 1, 0, 1, 'Menu', 0,1);


UPDATE `zz_modules` SET `parent`=( SELECT `id` FROM (SELECT `id` FROM `zz_modules` `m2` WHERE `name`='Tabelle') AS `m2`) WHERE `name` IN('Banche');


INSERT INTO `zz_viste` (`id_module`, `name`, `query`, `order`, `search`, `slow`, `search_inside`, `order_by`, `enabled`, `summable`, `default`) VALUES
((SELECT id FROM zz_modules WHERE name = 'Banche'), 'id', 'id', 1, 0, 0, '', '', 0, 0, 0),
((SELECT id FROM zz_modules WHERE name = 'Banche'), 'Nome', 'Nome', 2, 1, 0, '', '', 1, 0, 0),
((SELECT id FROM zz_modules WHERE name = 'Banche'), 'Filiale', 'Filiale', 3, 1, 0, '', '', 1, 0, 0),
((SELECT id FROM zz_modules WHERE name = 'Banche'), 'Iban', 'iban', 4, 1, 0, '', '', 1, 0, 0);


INSERT INTO `zz_gruppi_viste` (`id_gruppo`, `id_vista`) VALUES
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='id')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='id')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='id')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='id')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Nome')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Nome')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Nome')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Nome')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Filiale')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Filiale')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Filiale')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Filiale')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Iban')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Iban')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Iban')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Banche') AND `name`='Iban'));

UPDATE `zz_modules` SET `options2`= 'SELECT |fields| FROM (`co_scadenziario` INNER JOIN (((`co_documenti` INNER JOIN `an_anagrafiche` ON `co_documenti`.`idanagrafica`=`an_anagrafiche`.`idanagrafica`) INNER JOIN `co_pagamenti` ON `co_documenti`.`idpagamento`=`co_pagamenti`.`id`) INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id`) ON `co_scadenziario`.`iddocumento`=`co_documenti`.`id`) INNER JOIN `co_statidocumento` ON `co_documenti`.`idstatodocumento`=`co_statidocumento`.`id` WHERE 1=1 HAVING 2=2 AND (ABS(`pagato`) < ABS(`da_pagare`) ) ORDER BY `scadenza` ASC' WHERE `name` ='Scadenzario';



