

alter Table an_anagrafiche add esigibilita_iva varchar(1) NOT NULL DEFAULT 'I' ;


alter Table zz_plugins add n_tab int(11) DEFAULT '0' ;

alter Table zz_files add categoria varchar(255) NOT NULL;

alter Table co_banche add abi varchar(5) NOT NULL;
alter Table co_banche add cab varchar(5) NOT NULL;


CREATE TABLE IF NOT EXISTS `co_documenti_progressivo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_documento` int(11) NOT NULL,
  `numero` int(11) NOT NULL,
  `numero_esterno` varchar(100) NOT NULL,
  `numero_documento` varchar(100) NOT NULL,
  `data` datetime NOT NULL,
  `idutente` int(11) NOT NULL,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

alter Table co_documenti_progressivo add inviato int(11) DEFAULT '0' ;
alter Table co_documenti_progressivo add esito int(11) DEFAULT '0' ;
alter Table co_documenti_progressivo add data_invio datetime NOT NULL ;
alter Table co_documenti_progressivo add data_esito datetime NOT NULL ;


CREATE TABLE `co_xml_esito` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(100) NOT NULL,
  `icona` varchar(100) NOT NULL,
  `colore` varchar(7) DEFAULT NULL ,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `co_xml_esito` (`id`, `descrizione`, `icona`, `colore`) VALUES
(1, 'Positivo', 'fa fa-check-square', '#1ee355'),
(2, 'Errata', 'fa fa-exclamation-circle', '#db91ac'),
(3, 'Scartata', 'fa fa-exclamation-triangle', '#e8184a');

INSERT INTO `co_xml_esito` (`id`, `descrizione`, `icona`, `colore`) VALUES
(4, 'In attesa', 'fa fa-hourglass-o', '');

CREATE TABLE `co_xml_invio` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(100) NOT NULL,
  `icona` varchar(100) NOT NULL,
  `colore` varchar(7) DEFAULT NULL ,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


INSERT INTO `co_xml_invio` (`id`, `descrizione`, `icona`, `colore`) VALUES
(1, 'Da inviare', 'fa fa-cloud', ''),
(2, 'Inviata', 'fa fa-cloud-upload', '');

INSERT INTO `zz_modules` ( `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `default_menu`, `enabled`, `type`, `new`, `moduli_add`, `mod_personale`) VALUES
( 'Invio SDI - XML', '', 'storico_xml', 'custom', '', 'fa fa-cloud', '2.0.1', '2.0.1', 0, 0, 1, 0, 1, 'menu', 0,  0, 0);

UPDATE `zz_modules` SET `parent`=( SELECT `id` FROM (SELECT `id` FROM `zz_modules` `m2` WHERE `name`='Documenti') AS `m2`) WHERE `name` IN('Invio SDI - XML');

CREATE TABLE `co_xml_filtri` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
   `id_esito` int(11) NOT NULL,
   `id_invio` int(11) NOT NULL,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `co_xml_filtri` (`id`, `id_esito`, `id_invio`) VALUES
(1, '0', '0');

